%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%bcond_with	crosscompile

Summary:	A library for reading and writing YAML
Name:		syck
Version:	0.70
Release:	13
License:	BSD (and D&R)
Group:		System/Libraries
Url:		https://github.com/indeyets/syck/wiki
Source0:	http://rubyforge.org/frs/download.php/4492/%{name}-%{version}.tar.gz
Patch0:		syck-shared.diff
Patch1:		syck-automake-1.13.patch
Patch2:		syck-0.70-bison3.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	re2c

%description
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for reading and writing YAML
Group:		System/Libraries

%description -n %{libname}
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

%files -n %{libname}
/%{_lib}/libsyck.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Static library and header files for the syck library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n %{devname}
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

This package contains the static syck library and its header files.

%files -n %{devname}
%doc CHANGELOG COPYING README README.BYTECODE README.EXT RELEASE TODO
%{_includedir}/*
%{_libdir}/libsyck.so

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%if %{with crosscompile}
export ac_cv_func_malloc_0_nonnull=yes
%endif
export CFLAGS="%{optflags} -fPIC -DYYPARSE_PARAM=parser"
rm -rf autom4te.cache configure
touch INSTALL NEWS AUTHORS ChangeLog
#libtoolize --copy --force; aclocal -I config; autoheader; automake --foreign --add-missing --copy; autoconf
autoreconf -fi

%configure2_5x \
	--enable-shared \
	--disable-static

# Can't be built with -j12 yet
%make -j1

%install
%makeinstall_std
mkdir %{buildroot}/%{_lib}
mv %{buildroot}%{_libdir}/libsyck.so.%{major}* %{buildroot}/%{_lib}
ln -srf %{buildroot}/%{_lib}/libsyck.so.%{major}.*.* %{buildroot}%{_libdir}/libsyck.so


%changelog
* Tue Jul 22 2014 abondrov <andrey.bondrov@rosalab.ru> 0.70-13
+ Revision: 4a41619
- Update bison3 patch


